package ru.yandex.webmaster3.viewer.http.searchurl.urls.data;

import ru.yandex.autodoc.common.doc.annotation.Description;
import ru.yandex.webmaster3.viewer.http.links.DateHistory;

/**
 * @author avhaliullin
 */
public class SearchUrlIndicator extends DateHistory.IndicatorContainer<SearchUrlIndicatorType> {
    private final Long nodeId;

    public SearchUrlIndicator(Long nodeId) {
        super(SearchUrlIndicatorType.URLS_COUNT);
        this.nodeId = nodeId;
    }

    @Description("id узла в структуре сайта или null, если это раздел 'другие'")
    public Long getNodeId() {
        return nodeId;
    }
}
